use crate::message::Message;

pub use std::collections::HashMap;

pub trait Output {
    fn new(config: &HashMap<String, serde_yaml::Value>) -> Self
    where
        Self: Sized;
    fn process_message(&mut self, message: Message);
}
