use serde_derive::*;
use std::collections::HashMap;

#[derive(Debug, PartialEq, Serialize, Deserialize)]
pub struct Config {
    pub monitors: Vec<HashMap<String, serde_yaml::Value>>,
    pub outputs: Vec<HashMap<String, serde_yaml::Value>>,
}
