use crate::message::Message;
pub use crate::output::*;

#[derive(Debug)]
pub struct Stdout {}

impl Output for Stdout {
    fn new(config: &HashMap<String, serde_yaml::Value>) -> Self {
        Stdout {}
    }
    fn process_message(&mut self, message: Message) {
        println!("Received message: {:?}", message);
    }
}
